Bug 1135789 - (CVE-2019-12218) VUL-1: CVE-2019-12218: SDL_image, SDL2_image: NULL pointer dereference in the SDL2_image function IMG_LoadPCX_RW at IMG_pcx.c
(CVE-2019-12218)
VUL-1: CVE-2019-12218: SDL_image, SDL2_image: NULL pointer dereference in the...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/233337/
CVSSv2:NVD:CVE-2019-12218:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-21 14:13 UTC by Alexandros Toptsoglou
Modified: 2020-01-16 13:51 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
loadtif.c (289 bytes, text/x-csrc)
2019-05-21 15:25 UTC, Marcus Meissner
Details
CVE-2019-12218.pcx (934 bytes, image/vnd.zbrush.pcx)
2019-05-21 15:26 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-05-21 14:13:37 UTC
CVE-2019-12218

An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9
when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is a
NULL pointer dereference in the SDL2_image function IMG_LoadPCX_RW at IMG_pcx.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-12218
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12218
https://bugzilla.libsdl.org/show_bug.cgi?id=4620
Comment 1 Marcus Meissner 2019-05-21 15:25:24 UTC
Created attachment 805627 [details]
loadtif.c

QA REPRODUCER:

gcc -o loadtif loadtif.c -lSDL2_image -I/usr/include/SDL2 -lSDL2
Comment 2 Marcus Meissner 2019-05-21 15:26:02 UTC
Created attachment 805628 [details]
CVE-2019-12218.pcx

QA REPRODUCER (cont):

./loadtif CVE-2019-12218.pcx

should not crash with NULL ptr

also valgrind shows a single byte overwrite
Comment 3 Tomáš Chvátal 2019-07-11 11:42:25 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 4 Marcus Meissner 2019-07-12 06:42:27 UTC
15.0,15.1 and factroy unfixed
Comment 5 Swamp Workflow Management 2019-08-23 11:00:11 UTC
This is an autogenerated message for OBS integration:
This bug (1135789) was mentioned in
https://build.opensuse.org/request/show/725541 15.0 / SDL2_image
https://build.opensuse.org/request/show/725542 15.1 / SDL2_image
Comment 6 Swamp Workflow Management 2019-08-23 15:50:11 UTC
This is an autogenerated message for OBS integration:
This bug (1135789) was mentioned in
https://build.opensuse.org/request/show/725636 Factory / SDL2_image
https://build.opensuse.org/request/show/725637 15.0 / SDL2_image
https://build.opensuse.org/request/show/725638 15.1 / SDL2_image
Comment 7 Swamp Workflow Management 2019-09-05 13:13:11 UTC
openSUSE-SU-2019:2070-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1135787,1135789,1135796,1135806,1136101,1140419,1140421,1141844,1143763,1143764,1143766,1143768
CVE References: CVE-2019-12217,CVE-2019-12218,CVE-2019-12220,CVE-2019-12221,CVE-2019-12222,CVE-2019-13616,CVE-2019-5051,CVE-2019-5052,CVE-2019-5057,CVE-2019-5058,CVE-2019-5059,CVE-2019-5060
Sources used:
openSUSE Leap 15.1 (src):    SDL2_image-2.0.5-lp151.2.5.1
openSUSE Leap 15.0 (src):    SDL2_image-2.0.5-lp150.9.1
Comment 8 Swamp Workflow Management 2019-09-10 19:12:28 UTC
openSUSE-SU-2019:2108-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1135787,1135789,1135796,1135806,1136101,1140419,1140421,1141844,1143763,1143764,1143766,1143768
CVE References: CVE-2019-12217,CVE-2019-12218,CVE-2019-12220,CVE-2019-12221,CVE-2019-12222,CVE-2019-13616,CVE-2019-5051,CVE-2019-5052,CVE-2019-5057,CVE-2019-5058,CVE-2019-5059,CVE-2019-5060
Sources used:
openSUSE Backports SLE-15-SP1 (src):    SDL2_image-2.0.5-bp151.4.3.1
openSUSE Backports SLE-15 (src):    SDL2_image-2.0.5-bp150.3.6.1
Comment 9 Alexandros Toptsoglou 2020-01-16 13:51:55 UTC
all done fixed.